-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt


-- M is an object that beamng uses to understand this script
-- every beamng lua script has an M that gets returned to the engine
local M = {}

-- whenever you see M.something, this is accessing something that belongs to M
-- if M doesn't have anything with that name, it will be created
M.type = "auxilliary"
M.relevantDevice = sbr_body


local function updateGFX(dt)
	
	-- this code happens every frame
	
	
end



local function init(jbeamdata)
	
	-- this code happens once on vehicle load
	-- you could write your hello world script here and see the output in the console (press ~ in game to see the console)
	-- to see the result of changes to code, save the changes, then press CTRL+R to reload the vehicle
	
	print("hello world")
	
end


-- this is called the "public interface", it's just a way for beamng to know what this script can do
-- "init" and "updateGFX" are keywords that the engine understands, so you can't change these names

M.init = init
M.updateGFX = updateGFX
M.update = update

return M